Skip to main content
List hosted drill runs in a project

Authorizations

Authorization
string
header
required

Opaque control credential

Path Parameters

projectId
string
required
Pattern: ^prj_[0-9a-z]{12,32}$

Query Parameters

cursor
string
Required string length: 1 - 2048
limit
integer
default:50
Required range: 1 <= x <= 100
q
string

Case-insensitive literal search of run, drill, scenario and target identifiers across retained history.

Required string length: 1 - 200
drillId
string
Required string length: 1 - 96
Pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
scenarioId
string
Required string length: 1 - 96
Pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
targetId
string
Required string length: 1 - 96
Pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
environmentId
string
Pattern: ^env_[0-9a-z]{12,32}$
buildHash
string
Pattern: ^sha256:[0-9a-f]{64}$
outcome
enum<string>
Available options:
passed,
failed,
inconclusive,
active,
cancelled,
runner_failed,
orchestration_failed
createdFromMs
integer

Inclusive creation timestamp in Unix milliseconds.

Required range: -9007199254740991 <= x <= 9007199254740991
createdBeforeMs
integer

Exclusive creation timestamp in Unix milliseconds.

Required range: -9007199254740991 <= x <= 9007199254740991

Response

Hosted drill runs

items
object[]
required
Maximum array length: 100
nextCursor
string
Required string length: 1 - 2048